//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include <string>
#include <SDL.h>
#include <sigc++/object_slot.h>
#include "xmlhelper.h"

class Configuration : public SigC::Object
{
    public:
        // CREATORS
        Configuration();
        ~Configuration();

        void loadConfigurationFile(std::string fileName);

        static bool s_smoothScrolling;
        static bool s_showNextPlayer;
        static bool s_testing;
        static std::string s_dataPath;
        static std::string s_savePath;
        static int s_width;
        static int s_height;
        static Uint32 s_flags;

    private:
        bool parseConfiguration(std::string tag, XML_Helper* helper);
};

#endif // CONFIGURATION_H
